searchData={"items":[{"type":"module","title":"CurlEx","doc":"A very simple Elixir wrapper for the curl command line tool.\nCurrently supports only GET requests.\nJust make sure you have the `curl` command line tool installed on your system.","ref":"CurlEx.html"},{"type":"module","title":"Examples - CurlEx","doc":"```elixir\niex(1)> CurlEx.get!(\"https://google.com\")\n\" ... \"\n```\n\nCurrently, Microsoft Edge / Windows is the supported custom User Agent:\n\n```elixir\niex(2)> CurlEx.get_with_user_agent!(\"https://google.com\", :microsoft_edge_windows)\n\" ... \"\n```","ref":"CurlEx.html#module-examples"},{"type":"function","title":"CurlEx.get!/1","doc":"Get the contents of a URL using curl.","ref":"CurlEx.html#get!/1"},{"type":"function","title":"CurlEx.get_with_user_agent!/2","doc":"Get the contents of a URL using curl with a custom User Agent.","ref":"CurlEx.html#get_with_user_agent!/2"},{"type":"extras","title":"CurlEx","doc":"# CurlEx\n\nUltra-simple HTTP get. Shells out to `curl`. So it's a good idea\nto install it first.","ref":"readme.html"},{"type":"extras","title":"Motivation - CurlEx","doc":"I got frustrated by _Unknown CA_ errors from HTTPoison and Httpc. For example,\nwhen connecting to `http://grad.tamu.edu`. Meanwhile, `curl` works just fine.","ref":"readme.html#motivation"},{"type":"extras","title":"Usage - CurlEx","doc":"```elixir\niex(1)> CurlEx.get!(\"https://google.com\")\n\" ... \"\n```\n\nCurrently, Microsoft Edge / Windows is the supported custom User Agent:\n\n```elixir\niex(2)> CurlEx.get_with_user_agent!(\"https://google.com\", :microsoft_edge_windows)\n\" ... \"\n ```","ref":"readme.html#usage"},{"type":"extras","title":"Installation - CurlEx","doc":"```elixir\ndef deps do\n  [\n    {:curl_ex, \"~> 1.2.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"content_type":"text/markdown"}